Description

I created a locale with the identifier "en_EN". I took me a while to realize that this is an invalid locale of course, as there is no country
identified by "EN". The error message you'd currently see on trying this is the following:

#1328879703: The path "resource://TYPO3.FLOW3/Private/I18n/CLDR/Sources/main/en_EN.xml" does not point to an existing and
accessible XML file.

We could improve this by throwing a more specific exception telling what is actually wrong - "EN is not a valid region code according to
ISO xyz / the CLDR".

History
#1 - 2012-05-07 13:59 - Karsten Dambekalns
- Category set to I18n
- Status changed from New to Accepted
- Target version set to 1.1

#2 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#3 - 2012-06-25 18:47 - Karsten Dambekalns
- Target version deleted (1.1 RC1)
